class Globe < Formula
  desc "Prints ASCII graphic of currently-lit side of the Earth"
  homepage "https://web.archive.org/web/20230605040209/https://www.acme.com/software/globe/"
  url "https://web.archive.org/web/20230605040209/https://www.acme.com/software/globe/globe_14Aug2014.tar.gz"
  version "0.0.20140814"
  sha256 "5507a4caaf3e3318fd895ab1f8edfa5887c9f64547cad70cff3249350caa6c86"
  license "BSD-2-Clause"

  # Upstream uses weak ciphers which modern OpenSSL rejects,
  # so fetching and livechecking no longer work.
  # Last release on 2014-08-13
  deprecate! date: "2023-12-06", because: :unmaintained

  def install
    bin.mkpath
    man1.mkpath

    system "make", "all", "install", "BINDIR=#{bin}", "MANDIR=#{man1}"
  end

  test do
    system bin/"globe"
  end
end
